more normal configure options for gtk and qt4
[chaz/yoink] / configure.ac
index a05e8236a4bc2301b40a19d1249420b10cc1e733..da42bf063ef7d28ea94fcbb7df8d1b22d48a8ed6 100644 (file)
@@ -77,11 +77,17 @@ AC_ARG_ENABLE([threads],
                          [threads=$enableval],
                          [threads=no])
 
                          [threads=$enableval],
                          [threads=no])
 
-AC_ARG_WITH([gui-toolkit],
-                       [AS_HELP_STRING([--with-gui-toolkit=ARG],
-                                                       [possible values: none (default), gtk, qt4])],
-                       [gui_toolkit=$withval],
-                       [gui_toolkit=none])
+AC_ARG_WITH([gtk],
+                       [AS_HELP_STRING([--with-gtk],
+                                                       [use gtk2 modal dialogs])],
+                       [gtk=$withval],
+                       [gtk=no])
+
+AC_ARG_WITH([qt4],
+                       [AS_HELP_STRING([--with-qt4],
+                                                       [use qt4 modal dialogs; overridden by --with-gtk])],
+                       [qt4=$withval],
+                       [qt4=no])
 
 
 if test x$debug = xyes
 
 
 if test x$debug = xyes
@@ -121,11 +127,11 @@ then
                          [Define to 1 if you want to use threads when applicable.])
 fi
 
                          [Define to 1 if you want to use threads when applicable.])
 fi
 
-if test x$gui_toolkit = xgtk
+if test x$gtk = xyes
 then
        AC_DEFINE([USE_GTK], 1,
                          [Define to 1 if you want to use GTK+ modal dialogs.])
 then
        AC_DEFINE([USE_GTK], 1,
                          [Define to 1 if you want to use GTK+ modal dialogs.])
-elif test x$gui_toolkit = xqt4
+elif test x$qt4 = xyes
 then
        AC_DEFINE([USE_QT4], 1,
                          [Define to 1 if you want to use QT4 modal dialogs.])
 then
        AC_DEFINE([USE_QT4], 1,
                          [Define to 1 if you want to use QT4 modal dialogs.])
@@ -265,7 +271,7 @@ PKG_CHECK_MODULES([LUA], [lua],
                                   AC_MSG_WARN([Missing liblua ($website)])])
 
 ##### GTK+ 2.0 #####
                                   AC_MSG_WARN([Missing liblua ($website)])])
 
 ##### GTK+ 2.0 #####
-if test x$gui_toolkit = xgtk
+if test x$gtk = xyes
 then
        website="http://www.gtk.org/"
        PKG_CHECK_MODULES([GTK], [gtk+-2.0],
 then
        website="http://www.gtk.org/"
        PKG_CHECK_MODULES([GTK], [gtk+-2.0],
@@ -277,7 +283,7 @@ then
 fi
 
 ##### QT4 #####
 fi
 
 ##### QT4 #####
-if test x$gui_toolkit = xqt4
+if test x$qt4 = xyes
 then
        website="http://qt.nokia.com/"
        PKG_CHECK_MODULES([QT4], [QtGui],
 then
        website="http://qt.nokia.com/"
        PKG_CHECK_MODULES([QT4], [QtGui],
This page took 0.021765 seconds and 4 git commands to generate.